program test;

{$mode objfpc}{$H+}

uses
  {$IFDEF LINUX}
  cthreads, clocale,
  {$ENDIF}

  Interfaces, // this includes the LCL widgetset
  Forms, tachartlazaruspkg, datetimectrls,
  Translations, LazUTF8, Sysutils, Main
  { you can add units after this };

procedure TranslateLCL;
var
  PODirectory, Lang, FallbackLang: String;
begin
  PODirectory:=  ExtractFilePath(Application.ExeName) +'languages/';
  Lang:='';
  FallbackLang:='';
  LazGetLanguageIDs(Lang,FallbackLang);
  Translations.TranslateUnitResourceStrings('LCLStrConsts',
                      PODirectory+'lclstrconsts.%s.po',Lang,FallbackLang);
  Translations.TranslateUnitResourceStrings('lr_const',
                      PODirectory+'lr_const.%s.po',Lang,FallbackLang);
end;

{$R *.res}

begin
  RequireDerivedFormResource:=True;
  TranslateLCL;
  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.Run;
end.

